package config

import (
	"encoding/json"
	"os"
)

type Config struct {
	FluentdURL            string `json:"fluentdURL"`
	ElasticsearchURL      string `json:"ElasticsearchURL"`
	ElasticsearchUser     string `json:"ElasticsearchUser"`
	ElasticsearchPassword string `json:"ElasticsearchPassword"`
}

// LoadConfig 从指定路径加载配置文件
func LoadConfig(path string) (*Config, error) {
	file, err := os.ReadFile(path)
	if err != nil {
		return nil, err
	}

	var config Config
	err = json.Unmarshal(file, &config)
	if err != nil {
		return nil, err
	}

	return &config, nil
}
